Passer au contenu principal
PATCH
/
v1
/
wallets
/
settings
Update wallet settings
curl --request PATCH \
  --url https://api.hyperline.co/v1/wallets/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enabled": true,
  "allow_free_credits": true,
  "allow_topup_on_portal": false,
  "product_ids": []
}
'
{
  "enabled": true,
  "allow_free_credits": true,
  "allow_topup_on_portal": false,
  "product_ids": [],
  "updated_at": "2024-12-20T16:04:11Z"
}

Autorisations

Authorization
string
header
requis

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Corps

application/json

Update wallet settings payload

enabled
boolean

Indicates if the wallet feature is enabled or not. If disabled, wallets won't be debited even if they are in active state and with money.

Exemple:

true

allow_free_credits
boolean

Allow top up for free amounts on wallets.

Exemple:

true

allow_topup_on_portal
boolean

Allow wallet top up on customer's portal.

Exemple:

false

product_ids
string[]

Product IDs on which wallet will apply. If empty, the wallet will apply to all invoice line items.

Exemple:
[]

Réponse

200 - application/json
enabled
boolean
requis

Indicates if the wallet feature is enabled or not. If disabled, wallets won't be debited even if they are in active state and with money.

Exemple:

true

allow_free_credits
boolean
requis

Allow top up for free amounts on wallets.

Exemple:

true

allow_topup_on_portal
boolean
requis

Allow wallet top up on customer's portal.

Exemple:

false

product_ids
string[]
requis

Product IDs on which wallet will apply. If empty, the wallet will apply to all invoice line items.

Exemple:
[]
updated_at
string<date-time> | null
requis

Last edition date of the wallet settings.

Exemple:

"2024-12-20T16:04:11Z"